src.m.Place.Place Class Reference

## Public Member Functions

def | __init__ (self, numero, niveau, longueur, hauteur)
def | estLibre (self)
def | estReserver (self)
def | dimValide (self, h, l)
def | superAbo (self)
def | prendre (self)
def | liberer (self)

## Detailed Description

    Representation d'une place

## Constructor & Destructor Documentation

def src.m.Place.Place.__init__ | ( |  | self,
|  |  | numero,
|  |  | niveau,
|  |  | longueur,
|  |  | hauteur
| ) |  |

    Creer une place.
    Les dimensions doivent etre données en cm (longueur, hauteur)
    :param numero: int
    :param niveau: int
    :param longueur: int
    :param hauteur: int
    :return:

## Member Function Documentation

def src.m.Place.Place.dimValide | ( |  | self,
|  |  | h,
|  |  | l
| ) |  |

    Retourn si un element de hauteur (cm) h et de longueur(cm) l passe dans la place
    :param h: int
    :param l: int
    :return: bool

def src.m.Place.Place.liberer | ( |  | self | ) |

    Libere une place non dispo
    :return:

def src.m.Place.Place.prendre | ( |  | self | ) |

    Rend la place indisponible
    :param Placement:
    :return:

def src.m.Place.Place.superAbo | ( |  | self | ) |

    Renvoit si la place est une place superAbo
    :return: bool

The documentation for this class was generated from the following file:

- src/m/Place.py